Subject: [netmod] YANG Versioning Design Team Status

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Tue, 12 Mar 2019 12:11:14 +0000

Hi,

I thought that it might be useful to give a short status on the work that the NETMOD versioning design team have been doing since IETF 103, and also to give a quick summary of how the various drafts that been published are related.

The majority of the design team work since IETF 103 has been focussed on:

(1)   Updating the requirements draft to address the comments raised at 103: draft-verdt-netmod-yang-versioning-reqs-02<https://datatracker.ietf.org/doc/draft-verdt-netmod-yang-versioning-reqs/>

(2)   Producing a solution draft that covers module scoped versioning: draft-verdt-netmod-yang-semver-00<https://datatracker.ietf.org/doc/draft-verdt-netmod-yang-semver/>
The "module scoped versioning" solution draft does not address all requirements.  So in addition to that solution draft, I have posted two individual drafts as potential starting points to discuss the other parts of the solution space.  Although the underlying ideas in these drafts have been discussed amongst the design team members, these drafts do not necessarily represent any kind of consensus of the design team members at this time:

(1)   Managing sets of YANG modules as a versioned schema draft-rwilton-netmod-yang-packages-01<https://datatracker.ietf.org/doc/draft-rwilton-netmod-yang-packages/>

(2)   Allowing clients to choose which versioned schema to use for client/server interactions:  draft-wilton-netmod-yang-ver-selection-00<https://datatracker.ietf.org/doc/draft-wilton-netmod-yang-ver-selection/>
There is one part of the versioning puzzle that hasn't yet been explored in any detail by the design team which is a tooling approach that can robustly compare two schema and then report and classify the differences.
Finally, there is also another versioning related individual draft: draft-wang-netmod-module-revision-management-01<https://datatracker.ietf.org/doc/draft-wang-netmod-module-revision-management/>
I would like to thank all of the current members of the YANG versioning design team who have given up their time on a weekly basis to help with this work.
Thanks,
Rob